
QGIS Application - Bug report #15045

Polygon Centroids tool hangs when there a null geometries present

2016-06-16 07:10 AM - Ian Turton

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22990

Description

I have a shapefile (attached) with some null geometries in it, when I run the Polygon Centroids process on it (from the Vector->Geometry

Tools menu) it simply hangs until cancel pressed and produces an empty shapefile as output.

QGIS version

2.14.3-Essen

QGIS code branch

Release 2.14

Compiled against Qt

4.8.6

Running against Qt

4.8.6

Compiled against GDAL/OGR

1.11.2

Running against GDAL/OGR

1.11.2

Compiled against GEOS

3.4.2-CAPI-1.8.2

Running against GEOS

3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version

9.3.4

SpatiaLite Version

4.1.1

QWT Version

5.2.3

PROJ.4 Version

480

QScintilla2 Version

2.8.1

Associated revisions

Revision b380a1d5 - 2016-06-17 03:05 AM - Nyall Dawson

Fix Polygon Centroids tool hangs on null geometry (fix #15045)

History

#1 - 2016-06-16 06:05 PM - Nyall Dawson
Doesn't affect 2.16, have fixed in 2.14

#2 - 2016-06-16 06:06 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"b380a1d56524d70083e4ab7a8013acaaebbd23f1".

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

Files

somalia.zip 611 KB 2016-06-16 Ian Turton

2024-04-25 2/2


